%define otl2html_version 1.40

Name:           vim-vimoutliner
Version:        0.3.4
Release:        14%{?dist}
Summary:        Script for building an outline editor on top of Vim
Group:          Applications/Editors
# LICENSE says v2, but the code all says v2+
License:        GPLv2+
URL:            http://www.vimoutliner.org/
Source0:        http://www.vimoutliner.org/files/vimoutliner-%{version}.tar.gz
# the following two tarballs are from http://www.vimoutliner.org as well, but
# they are in CMS without good URLs.
Source1:        otl2html-%{otl2html_version}.tgz
Source2:        otl_handler.tgz
# things which are in discussion about putting upstream
Source3:        vimoutliner-local.tar.bz2
Source4:        vimoutliner-README.Fedora
Source5:        vimoutliner-Makefile
Patch:          vimoutliner-mc-build.patch
BuildArch:      noarch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:       vim-enhanced perl python
Requires(post): vim-enhanced
Requires(postun): vim-enhanced
#Requires:       libxml-writer-perl libpalm-perl

%description
Vimoutliner provides commands for building using the Vim text editor as an
outline editor. For more explanation on what outlines are and what they are
good for see the script's webpage at
http://www.vimoutliner.org and the general discussion of outlines on
http://www.troubleshooters.com/tpromag/199911/199911.htm.

%prep
%setup -q -n vimoutliner-%{version} -a 1 -a 2 -a 3
cp -f -p  %{SOURCE4} README.Fedora
cp -f -p  %{SOURCE5} Makefile
find . -name .\*.swp -delete
mv otl2html-* doc/otl2html
mv otl_handler doc/otl_handler
mv doc/otl2html/README README.otl2html
mv doc/otl_handler/README README.otl_handler
mv doc/vo_readme.txt .
find doc/ -type f -perm /111 -exec chmod -x '{}' \;
rm doc/otl2html/otl2html.py
%patch -p1 -b .MC-build

%build
mv doc examples

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m a+rx,u+w -d $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m a+r,u+w vimoutlinerrc \
   $RPM_BUILD_ROOT%{_sysconfdir}/vimoutlinerrc
install -m a+rx,u+w -d $RPM_BUILD_ROOT%{_datadir}/mime/packages
install -p -m a+r,u+w vimoutliner-mimefile.xml \
   $RPM_BUILD_ROOT%{_datadir}/mime/packages/vimoutliner.xml

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
[ ! -x %{_bindir}/update-mime-database ] \
    || update-mime-database %{_datadir}/mime >/dev/null 2>&1 ||:
cd %{_datadir}/vim/vimfiles/doc
vim -u NONE -esX -c "helptags ." -c quit
grep -q "filetype plugin on" /etc/vimrc \
    || echo -e "\nfiletype plugin on" >>/etc/vimrc

%postun
if [ $1 -eq 0 ]; then
   umask 022
   [ ! -x %{_bindir}/update-mime-database ] \
       || update-mime-database %{_datadir}/mime >/dev/null 2>&1 ||:
   cd %{_datadir}/vim/vimfiles/doc
   vim -u NONE -esX -c "helptags ." -c quit
fi

%files
%defattr(-,root,root,-)
%doc README.otl2html README.otl_handler README.Fedora LICENSE
%doc examples
%config(noreplace) %{_sysconfdir}/vimoutlinerrc
%{_bindir}/otl2html
%{_bindir}/vo_maketags
%{_datadir}/vim/vimfiles/*/*
%{_datadir}/mime/packages/vimoutliner.xml
%{_mandir}/man1/*.1.gz

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 06 2010 Matěj Cepl <mcepl@redhat.com> - 0.3.4-13
- Fix vimoutliner-mc-build.patch not to set maplocalleader

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.4-10
- fix license tag

* Tue Apr  3 2007 Matej Cepl <mcepl@redhat.com> - 0.3.4-9
- changed BuildRoot to more sane value, now it is allowed.

* Mon Jan  8 2007 Matěj Cepl <mcepl@redhat.com> 0.3.4-8
- changed named to vim-vimoutliner to follow Fedora Naming
  Guidelines.
* Mon Dec 11 2006 Matěj Cepl <mcepl@redhat.com> 0.3.4-7
- package should own only files in /usr/share/vim/vimfiles/*/
  directories, not the directory itself. Unfortunately, it is bad
  hack, because /usr/share/vim/vimfiles directory itself is not
  owned by any package (see bug no. 219154).
- made comments about origin of additional Sources.
- cp gets additional -p
- calling of update-desktop-database removed
- removed helpztags
* Mon Dec  4 2006 Matěj Cepl <mcepl@redhat.com> 0.3.4-6
- other ugly Debianism: don't put additional files into diff,
  when we could have another source file.
- again fixed problem with levels starting with non-ASCII
  character
* Sat Dec  2 2006 Matěj Cepl <mcepl@redhat.com> 0.3.4-5
- No macros in changelog anymore.
- Also there are no any <TAB>s in this file.
- Package doesn't own directories in %%files when not required.
- Sources have URLs when possible.
* Tue Nov 28 2006 Matěj Cepl <mcepl@redhat.com> 0.3.4-4
- Created Makefile for installation (so we could offer it upstream).
- compression of manpages is done automagically by rpmbuild, no need
  to do it ourselves.
* Sat Nov 11 2006 Matěj Cepl <mcepl@redhat.com> 0.3.4-3
- Finished Fedorization of originally README.Debian
- added otl2html and otl_handler to examples/ subdirectory of
  %%doc.
- fixed manpages (don't install manpages for scripts we don't
  carry).
* Wed Nov 8 2006 Matěj Cepl <mcepl@redhat.com> 0.3.4-2
- Fixed paths in ftplugin/vo_base.vim so that additional plugins
  actually load when requested.
* Tue Nov 7 2006 Matěj Cepl <mcepl@redhat.com> 0.3.4-1
- Initial build.
